[**@rxap/components**](../README.md)

***

[@rxap/components](../globals.md) / CopyToClipboardButtonComponent

# Class: CopyToClipboardButtonComponent

Defined in: [copy-to-clipboard-button/copy-to-clipboard-button.component.ts:27](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/components/src/lib/copy-to-clipboard-button/copy-to-clipboard-button.component.ts#L27)

## Constructors

### new CopyToClipboardButtonComponent()

> **new CopyToClipboardButtonComponent**(`snackbar`): [`CopyToClipboardButtonComponent`](CopyToClipboardButtonComponent.md)

Defined in: [copy-to-clipboard-button/copy-to-clipboard-button.component.ts:31](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/components/src/lib/copy-to-clipboard-button/copy-to-clipboard-button.component.ts#L31)

#### Parameters

##### snackbar

`MatSnackBar`

#### Returns

[`CopyToClipboardButtonComponent`](CopyToClipboardButtonComponent.md)

## Properties

### value

> **value**: `string` = `''`

Defined in: [copy-to-clipboard-button/copy-to-clipboard-button.component.ts:29](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/components/src/lib/copy-to-clipboard-button/copy-to-clipboard-button.component.ts#L29)

## Methods

### copied()

> **copied**(): `void`

Defined in: [copy-to-clipboard-button/copy-to-clipboard-button.component.ts:34](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/components/src/lib/copy-to-clipboard-button/copy-to-clipboard-button.component.ts#L34)

#### Returns

`void`
